| Home | Libraries | People | FAQ | More

##### windows::basic_handle::close (2 of 2 overloads)

Close the handle.

    boost::system::error_code close(
        boost::system::error_code & ec);

This function is used to close the handle. Any asynchronous read or write operations will be cancelled immediately, and will complete with the `boost::asio::error::operation_aborted` error.

###### Parameters

ec

  Set to indicate what error occurred, if any.